---

- name: Dependencies
  become: yes
  ansible.builtin.apt:
    name: redshift
    state: latest
    update_cache: yes

- name: Ensure config dir exists
  ansible.builtin.include_role:
    name: common
    tasks_from: ensure_dir_exists.yaml
  vars:
    ensure_dir: "{{ redshift_config }}"

- name: Copy config file
  ansible.builtin.template:
    src: redshift.conf.j2
    dest: "{{ redshift_config }}/redshift.conf"
    mode: 0640

- name: Install service file
  become: yes
  ansible.builtin.template:
    src: redshift.service.j2
    dest: "/etc/systemd/user/redshift.service"
    mode: 0644

- name: Start service
  ansible.builtin.systemd:
    daemon-reload: yes
    enabled: yes
    name: redshift
    state: restarted
    scope: user
